import request from '@/utils/request'

// 查询专业计划要求列表
export function listAMarjorPlan(query) {
  return request({
    url: '/ie/aMarjorPlan/list',
    method: 'get',
    params: query
  })
}

// 查询专业计划要求详细
export function getAMarjorPlan(id) {
  return request({
    url: '/ie/aMarjorPlan/' + id,
    method: 'get'
  })
}

// 新增专业计划要求
export function addAMarjorPlan(data) {
  return request({
    url: '/ie/aMarjorPlan',
    method: 'post',
    data: data
  })
}

// 修改专业计划要求
export function updateAMarjorPlan(data) {
  return request({
    url: '/ie/aMarjorPlan',
    method: 'put',
    data: data
  })
}

// 删除专业计划要求
export function delAMarjorPlan(id) {
  return request({
    url: '/ie/aMarjorPlan/' + id,
    method: 'delete'
  })
}
